[main]

# output root folder
outPath = "output"

# number of output files to generate (for random modifications)
numFiles = 10

# generate experiment folder with name based on current time
generateExpFolder = true

[mediapipe.random_gen]

# Indices of the landmarks to be modified, using Dlib's 68 landmarks indexing
landmarks.dlib = []

# Indices of the landmarks to be modified, using Mediapipe's 468 landmarks indexing
landmarks.mediapipe = []
#landmarks.mediapipe = [61, 40, 78, 91, 270, 308, 321, 291]  # lips corners
#landmarks.mediapipe = [61, 40, 37, 0, 267, 270, 291, 321, 314, 17, 84, 181, 91,
#                       78, 80, 13, 311, 308, 402, 14, 178]  # dlib full lips

# Sets of landmarks to be modified, using precomputed sets
# "dlib-eyebrow-right", "dlib-eyebrow-left", "dlib-nose",
# "dlib-eye-right", "dlib-eye-left", "dlib-outer-lips",
# "dlib-inner-lips", "dlib-lips", etc...
# See cleese/engines/mediapipe.py for a full list
landmarks.presets = ["dlib-lips", "dlib-eyebrow-right", "dlib-eyebrow-left"]

# Covariance matrix used to generate the gaussian distribution of landmarks
# offsets. It is scaled according to the height of the detected face. As a
# result, the amount of deformation should be resolution-invariant.
covMat = [[0.0001, 0.0], [0.0, 0.0001]]

[mediapipe.mls]

# Alpha parameter of the MLS deformation. Affect how much the deformation "spreads" from the landmarks
alpha = 1.2

[mediapipe.face_detect]

# Minimum face detection confidence
threshold = 0.5
